# we are cross-compiled libraries
%global debug_package %{nil}
%global __strip /bin/true

%global cvsdate 20130415

Name:           m68k-atari-mint-cflib
Summary:        The GEM utility library for Atari MiNT
Version:        0.21.0
Release:        2.%{cvsdate}cvs%{?dist}
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://arnaud.bercegeay.free.fr/gemlib/
Source0:        http://vincent.riviere.free.fr/soft/m68k-atari-mint/archives/cflib-CVS-%{cvsdate}.tar.bz2
BuildArch:      noarch
BuildRequires:  m68k-atari-mint-gemlib
Requires:       m68k-atari-mint-gemlib


%description
This is a utility library/toolkit that provide a lot of helper functions
for developping GEM applications.

You should install cflib if you would like to write GEM applications
that support recent GEM extensions without having to care about
compatibility issues. 


%prep
%setup -q -n cflib-CVS-%{cvsdate}

find . -type f -exec chmod -x {} \;


%build
make -C cflib PREFIX=%{mint_prefix} CROSS=yes \
	WITH_020_LIB=yes WITH_V4E_LIB=yes normal normal020 normalv4e


%install
pushd cflib
install -D -p -m 644 cflib.h $RPM_BUILD_ROOT%{mint_includedir}/cflib.h
install -D -p -m 644 libcflib.a $RPM_BUILD_ROOT%{mint_libdir}/libcflib.a
install -D -p -m 644 libcflib020.a $RPM_BUILD_ROOT%{mint_libdir}/m68020-60/libcflib.a
install -D -p -m 644 libcflibv4e.a $RPM_BUILD_ROOT%{mint_libdir}/m5475/libcflib.a
popd


%files
%doc cflib/COPYING.LIB
%{mint_includedir}/*
%{mint_libdir}/*


%changelog
* Wed May 14 2014 Dan Horák <dan[at]danny.cz> - 0.21.0-2.20130415
- updated to 20130415 snapshot

* Tue Mar 27 2012 Dan Horák <dan[at]danny.cz> - 0.21.0-1.20120227
- initial Fedora release
